summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-05-14 09:53:35 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-16 22:24:36 -0500
commite59f0b31012c73d3124c3c9668554c5eaf98e03f (patch)
tree09e9f45f64338223e61274f6c317df3d9d2b964a
parentd22501b876eeb6e154be3330316604801f6f3e07 (diff)
downloadslackbuilds-e59f0b31012c73d3124c3c9668554c5eaf98e03f.tar.gz
slackbuilds-e59f0b31012c73d3124c3c9668554c5eaf98e03f.tar.xz
academic/wxMaxima: Updated for version 0.8.5.
-rw-r--r--academic/wxMaxima/slack-desc6
-rw-r--r--academic/wxMaxima/wxMaxima.SlackBuild10
-rw-r--r--academic/wxMaxima/wxMaxima.info8
3 files changed, 13 insertions, 11 deletions
diff --git a/academic/wxMaxima/slack-desc b/academic/wxMaxima/slack-desc
index fef966b..9fef354 100644
--- a/academic/wxMaxima/slack-desc
+++ b/academic/wxMaxima/slack-desc
@@ -6,11 +6,11 @@
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-wxMaxima: wxMaxima (cross platform GUI for the computer algebra system)
-wxMaxima:
+wxMaxima: wxMaxima (gui for maxima)
+wxMaxima:
wxMaxima: wxMaxima is a cross platform GUI for the computer algebra system
wxMaxima: Maxima based on wxWidgets.
-wxMaxima:
+wxMaxima:
wxMaxima: Homepage: http://wxmaxima.sourceforge.net/wiki/index.php/Main_Page
wxMaxima:
wxMaxima:
diff --git a/academic/wxMaxima/wxMaxima.SlackBuild b/academic/wxMaxima/wxMaxima.SlackBuild
index fb13d05..3df960c 100644
--- a/academic/wxMaxima/wxMaxima.SlackBuild
+++ b/academic/wxMaxima/wxMaxima.SlackBuild
@@ -5,7 +5,7 @@
# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
PRGNAM=wxMaxima
-VERSION=${VERSION:-0.8.4}
+VERSION=0.8.5
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -50,13 +50,15 @@ CXXFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux
make
-make install-strip DESTDIR=$PKG
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Cleanup the desktop menu item.
-echo "StartupNotify=false" >> wxmaxima.desktop
sed -i \
-e "/^Categories/s|=.*|=Education;Science;Math;|" \
- -e "/^Icon/s|=.*|=${PRGNAM}.png|" wxmaxima.desktop
+ -e "/^Icon/s|=.*|=$PRGNAM|" wxmaxima.desktop
mkdir -p $PKG/usr/share/{applications,pixmaps}
install -m 0644 wxmaxima.desktop $PKG/usr/share/applications/$PRGNAM.desktop
diff --git a/academic/wxMaxima/wxMaxima.info b/academic/wxMaxima/wxMaxima.info
index 4691f69..0b7b3a7 100644
--- a/academic/wxMaxima/wxMaxima.info
+++ b/academic/wxMaxima/wxMaxima.info
@@ -1,10 +1,10 @@
PRGNAM="wxMaxima"
-VERSION="0.8.4"
+VERSION="0.8.5"
HOMEPAGE="http://wxmaxima.sourceforge.net/wiki/index.php/Main_Page"
-DOWNLOAD="http://downloads.sourceforge.net/project/wxmaxima/wxMaxima/0.8.4/wxMaxima-0.8.4.tar.gz"
-MD5SUM="b972743501298932bc0b0796c5489332"
+DOWNLOAD="http://downloads.sourceforge.net/wxmaxima/wxMaxima-0.8.5.tar.gz"
+MD5SUM="6ee883b7c6bd761dc987db04e5530fea"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Larry Hajali"
EMAIL="larryhaja[at]gmail[dot]com"
-APPROVED="dsomero"
+APPROVED="rworkman"